<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:id="@+id/csl_root_layout">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/csl_comment_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/bg_comment_article"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent">

        <ImageView
            android:id="@+id/iv_close_dialog"
            android:layout_width="50dp"
            android:layout_height="50dp"
            android:layout_marginTop="2dp"
            android:padding="13dp"
            android:src="@drawable/article_close_dialog"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="发布评论"
            android:textColor="#1C1F28"
            android:textSize="16sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="@id/iv_close_dialog"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="@id/iv_close_dialog" />

        <TextView
            android:id="@+id/tv_publish_comment"
            android:layout_width="55dp"
            android:layout_height="28dp"
            android:layout_marginEnd="15dp"
            android:background="@drawable/article_bg_publish"
            android:gravity="center"
            android:text="发布"
            android:textColor="@color/white"
            android:textSize="14sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="@id/iv_close_dialog"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="@id/iv_close_dialog" />

        <androidx.appcompat.widget.AppCompatEditText
            android:id="@+id/et_article_comment"
            android:layout_width="match_parent"
            android:layout_height="240dp"
            android:background="@null"
            android:focusedByDefault="true"
            android:gravity="start|top"
            android:hint="说点什么吧..."
            android:paddingHorizontal="20dp"
            android:textColor="#1C1F28"
            android:textColorHint="#C3C4CA"
            android:textSize="16sp"
            app:layout_constraintTop_toBottomOf="@id/iv_close_dialog"/>

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>